/*
  ==============================================================================

   This file is part of the ambix Ambisonic plug-in suite.
   Copyright (c) 2013/2014 - Matthias Kronlachner
   www.matthiaskronlachner.com
   
   Permission is granted to use this software under the terms of:
   the GPL v2 (or any later version)

   Details of these licenses can be found at: www.gnu.org/licenses

   ambix is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
   A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

  ==============================================================================
*/

// define channel mappings -> acn is basis!
// until 10th order 3d

const unsigned int acn_ch_map [121] =
{
	0	,
	1	,
	2	,
	3	,
	4	,
	5	,
	6	,
	7	,
	8	,
	9	,
	10	,
	11	,
	12	,
	13	,
	14	,
	15	,
	16	,
	17	,
	18	,
	19	,
	20	,
	21	,
	22	,
	23	,
	24	,
	25	,
	26	,
	27	,
	28	,
	29	,
	30	,
	31	,
	32	,
	33	,
	34	,
	35	,
	36	,
	37	,
	38	,
	39	,
	40	,
	41	,
	42	,
	43	,
	44	,
	45	,
	46	,
	47	,
	48	,
	49	,
	50	,
	51	,
	52	,
	53	,
	54	,
	55	,
	56	,
	57	,
	58	,
	59	,
	60	,
	61	,
	62	,
	63	,
	64	,
	65	,
	66	,
	67	,
	68	,
	69	,
	70	,
	71	,
	72	,
	73	,
	74	,
	75	,
	76	,
	77	,
	78	,
	79	,
	80	,
	81	,
	82	,
	83	,
	84	,
	85	,
	86	,
	87	,
	88	,
	89	,
	90	,
	91	,
	92	,
	93	,
	94	,
	95	,
	96	,
	97	,
	98	,
	99	,
	100	,
	101	,
	102	,
	103	,
	104	,
	105	,
	106	,
	107	,
	108	,
	109	,
	110	,
	111	,
	112	,
	113	,
	114	,
	115	,
	116	,
	117	,
	118	,
	119	,
	120	
};

const unsigned int fuma_ch_map [121] =
{
	0	,
	2	,
	3	,
	1	,
	8	,
	6	,
	4	,
	5	,
	7	,
	15	,
	13	,
	11	,
	9	,
	10	,
	12	,
	14	,
	24	,
	22	,
	20	,
	18	,
	16	,
	17	,
	19	,
	21	,
	23	,
	35	,
	33	,
	31	,
	29	,
	27	,
	25	,
	26	,
	28	,
	30	,
	32	,
	34	,
	48	,
	46	,
	44	,
	42	,
	40	,
	38	,
	36	,
	37	,
	39	,
	41	,
	43	,
	45	,
	47	,
	63	,
	61	,
	59	,
	57	,
	55	,
	53	,
	51	,
	49	,
	50	,
	52	,
	54	,
	56	,
	58	,
	60	,
	62	,
	80	,
	78	,
	76	,
	74	,
	72	,
	70	,
	68	,
	66	,
	64	,
	65	,
	67	,
	69	,
	71	,
	73	,
	75	,
	77	,
	79	,
	99	,
	97	,
	95	,
	93	,
	91	,
	89	,
	87	,
	85	,
	83	,
	81	,
	82	,
	84	,
	86	,
	88	,
	90	,
	92	,
	94	,
	96	,
	98	,
	120	,
	118	,
	116	,
	114	,
	112	,
	110	,
	108	,
	106	,
	104	,
	102	,
	100	,
	101	,
	103	,
	105	,
	107	,
	109	,
	111	,
	113	,
	115	,
	117	,
	119
};

const unsigned int sid_ch_map [121] =
{
	0	,
	2	,
	3	,
	1	,
	5	,
	7	,
	8	,
	6	,
	4	,
	10	,
	12	,
	14	,
	15	,
	13	,
	11	,
	9	,
	17	,
	19	,
	21	,
	23	,
	24	,
	22	,
	20	,
	18	,
	16	,
	26	,
	28	,
	30	,
	32	,
	34	,
	35	,
	33	,
	31	,
	29	,
	27	,
	25	,
	37	,
	39	,
	41	,
	43	,
	45	,
	47	,
	48	,
	46	,
	44	,
	42	,
	40	,
	38	,
	36	,
	50	,
	52	,
	54	,
	56	,
	58	,
	60	,
	62	,
	63	,
	61	,
	59	,
	57	,
	55	,
	53	,
	51	,
	49	,
	65	,
	67	,
	69	,
	71	,
	73	,
	75	,
	77	,
	79	,
	80	,
	78	,
	76	,
	74	,
	72	,
	70	,
	68	,
	66	,
	64	,
	82	,
	84	,
	86	,
	88	,
	90	,
	92	,
	94	,
	96	,
	98	,
	99	,
	97	,
	95	,
	93	,
	91	,
	89	,
	87	,
	85	,
	83	,
	81	,
	101	,
	103	,
	105	,
	107	,
	109	,
	111	,
	113	,
	115	,
	117	,
	119	,
	120	,
	118	,
	116	,
	114	,
	112	,
	110	,
	108	,
	106	,
	104	,
	102	,
	100
};

const unsigned int acn_2d_ch_map [21] =
{
    0	,
    1	,
    2	,
    3	,
    4	,
    5	,
    6	,
    7	,
    8	,
    9	,
    10	,
    11	,
    12	,
    13	,
    14	,
    15	,
    16	,
    17	,
    18	,
    19	,
    20	
};

const unsigned int fuma_2d_ch_map [21] =
{
    0	,
    2	,
    1	,
    4	,
    3	,
    6	,
    5	,
    8	,
    7	,
    10	,
    9	,
    12	,
    11	,
    14	,
    13	,
    16	,
    15	,
    18	,
    17	,
    20	,
    19
};

const unsigned int sid_2d_ch_map [21] =
{
    0	,
    2	,
    1	,
    4	,
    3	,
    6	,
    5	,
    8	,
    7	,
    10	,
    9	,
    12	,
    11	,
    14	,
    13	,
    16	,
    15	,
    18	,
    17	,
    20	,
    19
};